summaryrefslogtreecommitdiff
path: root/dev-python/jupyterlab
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-08-11 05:32:20 +0200
committerMichał Górny <mgorny@gentoo.org>2026-08-11 06:27:50 +0200
commite2bda133f7ab382c6995fd2a1d72063d96fd5ed5 (patch)
treea4937324d21f9a736a77db962dcfbc091d493d3c /dev-python/jupyterlab
parent11b4605a14afa2b00fdef653af58580c9321c8ad (diff)
dev-python/jupyterlab: Bump to 4.6.3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/jupyterlab')
-rw-r--r--dev-python/jupyterlab/Manifest1
-rw-r--r--dev-python/jupyterlab/jupyterlab-4.6.3.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index 9d96db8a7406..d489a9ef16e3 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -2,3 +2,4 @@ DIST jupyterlab-4.4.10.tar.gz 22969303 BLAKE2B 478b424ff65b4f88ee849f0e87cebf30a
DIST jupyterlab-4.5.10.tar.gz 23998879 BLAKE2B afce3426f0f8ba029e8667e6a487a5fd60c18341f60eb865569fd33845ea8ae76db92bc127c45f203cd3ebc9d819a80dbcd7c03002aa01f462b7af1b8d99bc83 SHA512 9dc87a87e9699e19c71df66a8e6cb699c194467fa8ee6450bab96199fb3188c82f0a18fad860d44433a05426219761db7c546b20ee1dcb9148a095a3ddc68e04
DIST jupyterlab-4.5.9.tar.gz 23994445 BLAKE2B 242a2d519bcf89b232b895c40fa45d752677d1f4321026037ebad418ffd0fb2dc07da07cb3d2d65a0b14142ae4fe65ef7e842891350d1e2102166001d534648e SHA512 b78ecb0f0ea1cc709fc4398d5d9a180ef4d235d5e6d45739deee88c6e7c06c28e3d15295b7abda144c5f8a5a847cbef70e2f02078bac0e2432b7bda0e387ce5e
DIST jupyterlab-4.6.2.tar.gz 28183650 BLAKE2B 046f1b8a481590d373f474fe41aaf524f8d2f8ac3bd618559dcb824f24a33b575e610a7dd29df0e541bfd54db5ddd266984274dacfb2059eb52940cefe7f82d5 SHA512 308965ba875d2b9667046f35b4fd0214c0d01b48cbfdeda0b79b90d30f63522cf872602016e6b9cf9ed66e791f0056b633d0a960c816635a5a679dd264d9bbc6
+DIST jupyterlab-4.6.3.tar.gz 28319771 BLAKE2B e4d4605dec5fef89599b1683700e8204817563ec11cd00592ab82be8e081c5eb8ce0ba654fe1d916e41f25507ab506ce77dd41f8a577f93ab3a5ab141b6ef1ee SHA512 d1105891542042df8448db15de70fdb26637672322760d8912191dd232912277f8345c5b8772070ce9c18d7d27b0ae72e331ed1b8d7b8ebb0ea46ee5222b77e7
diff --git a/dev-python/jupyterlab/jupyterlab-4.6.3.ebuild b/dev-python/jupyterlab/jupyterlab-4.6.3.ebuild
new file mode 100644
index 000000000000..3a2975015958
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.6.3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+RDEPEND="
+ >=dev-python/async-lru-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.28.0[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-6.5.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.3[${PYTHON_USEDEP}]
+ dev-python/jupyter-builder[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-2.19.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.28.0[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.2[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41.1.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ net-libs/nodejs[npm]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,tornasync,timeout} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}